#version 430 core

in vec3 position;
uniform mat4 modelMatrix = 
 mat4
(1, 0, 0, 0
, 0, 1, 0, 0,
0, 0, 1, 0,
0, 0, 0, 1); 

uniform mat4 viewProjMatrix = 
 mat4
(1, 0, 0, 0
, 0, 1, 0, 0,
0, 0, 1, 0,
0, 0, 0, 1); 

out vec3 vs_fs_position;

void main() {
	vec4 position_world_ = modelMatrix * vec4(position, 1);
	gl_Position = viewProjMatrix * position_world_;
}