#version 430 core

layout(location = 0) in vec4 Position;
layout(location = 1) in vec4 Velocity;
uniform mat4 ViewMatrix = 
 mat4
(1, 0, 0, 0
, 0, 1, 0, 0,
0, 0, 1, 0,
0, 0, 0, 1); 
out vData{
	vec3 position_world;
	float TTL1;
	vec3 currVelocity;
	float particleSize;
} vertex;

mat4 ModelMatrix = 
 mat4
(1, 0, 0, 0
, 0, 1, 0, 0,
0, 0, 1, 0,
0, 0, 0, 1); 

uniform mat4 viewProjMatrix;

void main()
{
//	mat4 ModelViewMatrix = ViewMatrix * ModelMatrix;
//	gl_Position = ModelViewMatrix * vec4(Position.xyz, 1.0f);
//
//	vertex.position_world = Position.xyz;
//	vertex.TTL1 = Position.w;
//	vertex.currVelocity = Velocity.xyz;
//	vertex.particleSize = Velocity.w;

//	vec4 worldPos = ModelMatrix * vec4(Position.xyz, 1);

//	vertex.position_world = worldPos.xyz;
	vertex.position_world = Position.xyz;
	vertex.TTL1 = Position.w;
	vertex.currVelocity = Velocity.xyz;
	vertex.particleSize = Velocity.w;

	// gl_Position = ViewMatrix * worldPos;
	gl_Position = ViewMatrix *  vec4(Position.xyz, 1);
}